#ifndef _OE_EXPORT_H_
#define _OE_EXPORT_H_  1



#include <c4d.h>

#include "c4d_symbols.h"
#include "oe_export_dlg.h"



#define PID_OE_EXPORT   1025227



/// The CommandData plugin that opens the export dialog and executes the export
/// into a .obj/.mtl file pair and runs Octane.
class OEExport : public CommandData
{
public:

  bool registerPlugin();


  // --- Implementation(s) for CommandData ---

  virtual Bool Execute(BaseDocument* document);

  virtual Bool RestoreLayout(void* secret);


private:

  OEExportDlg mDialog;
};



#endif  // #ifndef _OE_EXPORT_H_
