#include "c4d_symbols.h"
#include "common.h"
#include "description/toeinstance.h"
#include "oe_instance_tag.h"



NodeData* OEInstanceTag::alloc()
{
    return gNew OEInstanceTag;
}


bool OEInstanceTag::registerPlugin()
{
    return RegisterTagPlugin(PID_OE_INSTANCE_TAG,
                             GeLoadString(IDS_OE_INSTANCE_TAG),
                             TAG_VISIBLE,
                             alloc,
                             "Toeinstance",
                             0,
                             0);
}


Bool OEInstanceTag::Init(GeListNode *node)
{
    node->SetParameter(DescID(OE_INSTANCE_ENABLED), GeData(TRUE), DESCFLAGS_SET_0);
    return TRUE;
}
