#include "common.h"



#if _C4D_VERSION < 120


AutoBitmap::AutoBitmap(const String &name)
{
    mBitmap = BaseBitmap::Alloc();
    if (!mBitmap) { return; }
    if (mBitmap->Init(GeGetPluginPath()+String("res")+name) != IMAGE_OK)
    {
        BaseBitmap::Free(mBitmap);
    }
}


AutoBitmap::~AutoBitmap()
{
    BaseBitmap::Free(mBitmap);
}


#endif  // #if _C4D_VERSION < 120
