#include "oe_export.h"
#include "utilities.h"



//-----------------------------------------------------------------------------
// Implementation of public member functions of class OEExport.


/// Registers this plugin instance in CINEMA 4D.
///
/// @return
///   true if successfull, otherwise false.
bool OEExport::registerPlugin()
{
  return RegisterCommandPlugin(PID_OE_EXPORT,
                               GeLoadString(IDS_OE_EXPORT),
                               0,
                               AutoBitmap("icon_oe_export.tif"),
                               GeLoadString(IDS_OE_EXPORT_DESCR),
                               this);
}


Bool OEExport::Execute(BaseDocument* document)
{
  mDialog.run();
  return TRUE;
}


Bool OEExport::RestoreLayout(void* secret)
{
  return mDialog.RestoreLayout(PID_OE_EXPORT, 0, secret);
}
