#ifndef OE_PREFERENCES_H
#define OE_PREFERENCES_H 1



#include <c4d.h>

#include "common.h"
#include "oe_converter.h"



#define PID_OE_PREFERENCES  1029149



/// Command that opens a modal about dialog.
class OEPreferences : public CommandData
{
public:

    bool registerPlugin();

    Filename octanePath();

    bool hasSpecifiedGpus();

    String specifiedGpuStr();


    // --- Implementation(s) for CommandData ---

    virtual Bool Execute(
        BaseDocument *document);
};

/// The global instance of the preferences instance
extern OEPreferences *gPreferences;



#endif  // #ifndef OE_PREFERENCES_H
